Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.pattern
Class UnionQNameTest

    java.lang.Object
      net.sf.saxon.pattern.UnionQNameTest

All Implemented Interfaces:
  Serializable, QNameTest

    public class UnionQNameTest

extends Object
implements QNameTest

A QNameTest that is the union of a number of supplied QNameTests

See Also:
  Serialized Form

Constructor Summary
`UnionQNameTest(List<QNameTest> tests)`

Method Summary
`boolean` | `matches(StructuredQName qname)` Test whether the QNameTest matches a given QName

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnionQNameTest

    public UnionQNameTest(List<QNameTest> tests)

Method Detail

### matches

    public boolean matches(StructuredQName qname)

  Test whether the QNameTest matches a given QName

  Specified by:
    `matches` in interface `QNameTest`
  Parameters:
    `qname` - the QName to be matched
  Returns:
    true if the name matches, false if not

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.